-- wTaskNoteOptions.lua: Sep 2010
-- Works with the Ace3 libraries to setup and control the options menu
-- Right now, we're just doing a checkbox to show/hide the minimap button

-- Options table for AceConfig3
local wTaskNoteOptions = {
	name = "wTaskNote",
	handler = wTaskNote,
	type = "group",
	args = {
		MinimapIcon = {
			type = "toggle",
			name = L["Show MiniMap Button"],
			desc = L["Show MiniMap Button Tooltip"],
			order = 1,
			get = function(info) return not db.MinimapIcon.hide end,
			set = function(info, value)
				db.MinimapIcon.hide = not value
				if value then LDBIcon:Show("Omen") else LDBIcon:Hide("Omen") end
			end,
			hidden = function() return not LDBIcon or IsAddOnLoaded("Broker2FuBar") or IsAddOnLoaded("FuBar") end,
			}
		}
	}
